# Get all employees.

Get all employees.

Endpoint: POST /employees/v1/search
Version: v1
Security: basicAuth

## Request fields (application/json):

  - `employee` (string)
    Employee identifier. You can use e-mail or external identifier in format (externalNumber:ABC123)
    Example: "john.white@mycompany.com"

  - `contractTypes` (array)
    List of contract types names or identifiers to search. As a result there will be employees who have one of selected contract types assigned. Example: ["Employment Contract", "B2B"]
    Example: ["Employment Contract"]

  - `positions` (array)
    List of positions names or identifiers to search. As a result there will be employees who have one of provided positions. Example: ["Developer", "Support", "Architect"]
    Example: ["Developer"]

  - `teams` (array)
    List of teams names or identifiers to search. As a result the result will contain employees who are members of at least one of provided teams. Example: ["First Team", "Second Team", "Third Team"]
    Example: ["First Team"]

  - `withArchived` (boolean)
    Should return also archived employees?

## Response 400 fields (application/json):

  - `message` (string)
    Human readable error explanation.
    Example: "Api error"

  - `code` (string)
    Error code.
    Example: "INVALID_JSON_PAYLOAD"

  - `field` (string)
    Which field of payload object caused error. NULL when error is not related to particular field
    Example: "field"

## Response 401 fields (application/json):

  - `message` (string, required)
    Error details
    Example: "Authentication failure"

  - `code` (string, required)
    General type of error
    Example: "AUTH"

  - `field` (string)
    Leftover for backward compatibility

## Response 429 fields (application/json):

  - `code` (string, required)
    General type of error
    Example: "QUOTA_EXCEEDED"

  - `field` (string, required)
    Detailed info about quota and it's current usage
    Example: "Your current usage is 101/day, 10/hour, 1/sec\nYour current limits 100/day, 10/hour, 1/sec."

## Response 500 fields (application/json):

  - `message` (string, required)
    Error details
    Example: "An unexpected error occurred"

  - `code` (string, required)
    General type of error
    Example: "INTERNAL_SERVER_ERROR"

## Response 504 fields (application/json):

  - `message` (string, required)
    Error details
    Example: "Public API call exceeded timeout"

  - `code` (string, required)
    General type of error
    Example: "TIMEOUT"


## Response 200 fields

## Response 403 fields
